package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.Date;

/**
 * 曲谱伴奏表
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
@ApiModel(value = "music_sheet_accompaniment-曲谱伴奏表")
public class MusicSheetAccompaniment extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("music_sheet_id_")
    @ApiModelProperty(value = "曲谱ID")
    private Long musicSheetId;  //曲谱ID

    @TableField("music_subject_")
    @ApiModelProperty(value = "声部")
    private String musicSubject;  //声部

    @TableField("audio_file_url_")
    @ApiModelProperty(value = "MP3原声音频文件URL")
    private String audioFileUrl;  //MP3原声音频文件URL

	@TableField("metronome_url_")
	@ApiModelProperty(value = "MP3节拍器伴奏")
	private String metronomeUrl;  //MP3原声音频文件URL

	@TableField("track_")
	@ApiModelProperty(value = "类型")
	private String track;  //MP3原声音频文件URL

    @TableField("sort_number_")
    @ApiModelProperty(value = "排序号")
    private Integer sortNumber;  //排序号

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;  //创建时间

    @TableField("create_by_")
    @ApiModelProperty(value = "创建人(老师或者是后台平台用户)")
    private Long createBy;  //创建人(老师或者是后台平台用户)


	public MusicSheetAccompaniment setId(Long id) {
	    this.id = id;
	    return this;
	}

	public String getMetronomeUrl() {
		return metronomeUrl;
	}

	public void setMetronomeUrl(String metronomeUrl) {
		this.metronomeUrl = metronomeUrl;
	}

	public String getTrack() {
		return track;
	}

	public void setTrack(String track) {
		this.track = track;
	}

	public Long getId() {
	    return this.id;
	}

	public MusicSheetAccompaniment setMusicSheetId(Long musicSheetId) {
	    this.musicSheetId = musicSheetId;
	    return this;
	}

	public Long getMusicSheetId() {
	    return this.musicSheetId;
	}

	public MusicSheetAccompaniment setMusicSubject(String musicSubject) {
	    this.musicSubject = musicSubject;
	    return this;
	}

	public String getMusicSubject() {
	    return this.musicSubject;
	}

	public MusicSheetAccompaniment setAudioFileUrl(String audioFileUrl) {
	    this.audioFileUrl = audioFileUrl;
	    return this;
	}

	public String getAudioFileUrl() {
	    return this.audioFileUrl;
	}

	public MusicSheetAccompaniment setSortNumber(Integer sortNumber) {
	    this.sortNumber = sortNumber;
	    return this;
	}

	public Integer getSortNumber() {
	    return this.sortNumber;
	}

	public MusicSheetAccompaniment setCreateTime(java.util.Date createTime) {
	    this.createTime = createTime;
	    return this;
	}

	public java.util.Date getCreateTime() {
	    return this.createTime;
	}

	public MusicSheetAccompaniment setCreateBy(Long createBy) {
	    this.createBy = createBy;
	    return this;
	}

	public Long getCreateBy() {
	    return this.createBy;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}